Skip to main content
GET
/
api
/
v1
/
transcripts
/
calls
/
{call_id}
جلب الاستدعاء بالمعرّف
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/api/v1/transcripts/calls/{call_id}?token='
{
  "call_id": "80753086-444f-4dcf-961d-15509ba09dc7",
  "call_title": "Q3 2023 Earnings Call",
  "created_at": "<string>",
  "deleted_at": "<string>",
  "description": "Quarterly earnings report",
  "duration": 60,
  "end_time": "2023-10-25T15:00:00.000Z",
  "exchange": "NASDAQ",
  "figis": [
    "[\"BBG000B9XRY4\"]"
  ],
  "headline": "Company X Reports Strong Q3 Results",
  "name": "Apple Inc.",
  "participants": [
    {
      "call_id": "<string>",
      "deleted_at": "<string>",
      "human_verified": true,
      "mentions": 123,
      "name": "<string>",
      "organization": "<string>",
      "participant_id": "<string>",
      "role": "<string>"
    }
  ],
  "period": "Q3",
  "recording": {
    "bucket": "<string>",
    "created_at": "<string>",
    "duration": 123,
    "formats": {
      "bytes": [
        123
      ],
      "status": 0
    },
    "language": "<string>",
    "location": "<string>",
    "recording_id": "<string>",
    "total_files": 123,
    "total_size": 123,
    "updated_at": "<string>"
  },
  "securities": {
    "bytes": [
      123
    ],
    "status": 0
  },
  "start_time": "2023-10-25T14:00:00.000Z",
  "status": "completed",
  "summary": {
    "call_id": "770e8400-e29b-41d4-a716-446655440000",
    "created_at": "<string>",
    "deleted_at": "<string>",
    "language": "en",
    "sentiment": 0.85,
    "summary": "The company reported positive growth...",
    "summary_id": "550e8400-e29b-41d4-a716-446655440000",
    "symbol": "MSFT",
    "transcript_id": "660e8400-e29b-41d4-a716-446655440000",
    "updated_at": "<string>"
  },
  "symbol": "AAPL",
  "transcripts": [
    {
      "confidence_score": 123,
      "language": "<string>",
      "segments": [
        {
          "confidence": 123,
          "end_time": "<string>",
          "segment_id": 123,
          "sentiment": 123,
          "speaker": "<string>",
          "start_time": "<string>",
          "text": "<string>"
        }
      ],
      "text": "<string>",
      "transcript_id": "<string>",
      "type": "LIVE"
    }
  ],
  "updated_at": "<string>",
  "webcast_url": "https://example.com/webcast",
  "year": "2023"
}

Authorizations

token
string
query
required

Path Parameters

call_id
string
required

المعرّف الفريد لمكالمة المؤتمر

Query Parameters

audio
boolean

إذا كانت القيمة true، يتم تضمين عناوين url موقَّعة مسبقًا لتسجيلات الصوت

clean
boolean

إذا كانت القيمة true، فسيُرجِع تنسيق مخرجات أبسط وأنظف

format
string

تنسيق الاستجابة (على سبيل المثال: 'json' أو 'html')

Response

موافق

call_id
string
Example:

"80753086-444f-4dcf-961d-15509ba09dc7"

call_title
string
Example:

"Q3 2023 Earnings Call"

created_at
string
deleted_at
string
description
string
Example:

"Quarterly earnings report"

duration
integer
Example:

60

end_time
string
Example:

"2023-10-25T15:00:00.000Z"

exchange
string
Example:

"NASDAQ"

figis
string[]
Example:
["[\"BBG000B9XRY4\"]"]
headline
string
Example:

"Company X Reports Strong Q3 Results"

name
string
Example:

"Apple Inc."

participants
object[]
period
string
Example:

"Q3"

recording
object
securities
object
start_time
string
Example:

"2023-10-25T14:00:00.000Z"

status
string
Example:

"completed"

summary
object
symbol
string
Example:

"AAPL"

transcripts
object[]
updated_at
string
webcast_url
string
Example:

"https://example.com/webcast"

year
string
Example:

"2023"